import { defineStore } from 'pinia'

export const useUserStore = defineStore('user', {
    state: () => ({
        id: 134, // 年龄
        name: 'cesc', // 用户名
        viewList: [{
            id: 1,
            flag: true,
            visible: false,
            inputFlag: false,
            name: '首页',
            icon: 'icon-shouye',
            viewData: [],
        }, {
            id: 2,
            flag: false,
            visible: false,
            inputFlag: false,
            name: '卡片',
            icon: 'icon-kapian',
            proportion: 1,
            viewData: [],
        }] // 公斤
    }),
    getters: {},
    actions: {},
    // 持久化插件配置
    persist: {
        key: 'store-user', // 本地存储key名称
        // storage: sessionStorage // 不设置默认存储localStorage
        paths: ['id', 'name', 'viewList'] // 指定持久化的值
    }
})

export const moduleStore = defineStore('module', {
    state: () => ({
        moduleList: [] // 公斤
    }),
    getters: {},
    actions: {},
    // 持久化插件配置
    persist: {
        key: 'store-module', // 本地存储key名称
        // storage: sessionStorage // 不设置默认存储localStorage
        paths: ['moduleList'] // 指定持久化的值
    }
})
